> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonarx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Receipt

> Get a transaction receipt by transaction hash



## OpenAPI

````yaml GET /api/v1/customer/{chain}/transactions/{transaction_hash}/receipt
openapi: 3.1.0
info:
  title: SonarX EVM API - Transactions
  description: >-
    Query transaction data, receipts, and fee history for EVM-compatible
    networks.
  version: 1.0.0
servers:
  - url: https://api-gateway.sonarx.com
    description: Production API
security:
  - apiKey: []
tags:
  - name: Transactions
    description: Query transaction data, receipts, and fee history
paths:
  /api/v1/customer/{chain}/transactions/{transaction_hash}/receipt:
    get:
      tags:
        - Transactions
      summary: Get Transaction Receipt
      description: Get a transaction receipt by transaction hash.
      operationId: getTransactionReceipt
      parameters:
        - $ref: '#/components/parameters/ChainPath'
        - name: transaction_hash
          in: path
          description: Transaction hash (66 character hex string starting with 0x)
          required: true
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{64}$
            example: '0x00dcc066aad65ae4f10c0fc4ec1fac5d3693c12c01d98a9f6a87448be9b26200'
      responses:
        '200':
          description: Transaction receipt
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionReceipt'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    ChainPath:
      name: chain
      in: path
      description: The blockchain network to query
      required: true
      schema:
        type: string
        enum:
          - polygon
        example: polygon
  schemas:
    TransactionReceipt:
      type: object
      properties:
        block_number:
          type: integer
        timestamp:
          type: integer
        datetime:
          type: string
          format: date-time
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        cumulative_gas_used:
          type: integer
        gas_used:
          type: integer
        contract_address:
          type: string
          nullable: true
        status:
          type: boolean
        effective_gas_price:
          type: integer
        version:
          type: integer
      example:
        block_number: 81911103
        timestamp: 1768942178
        datetime: '2026-01-20T20:49:38'
        transaction_hash: '0x0063079708b5fab44762765a01c17ab2754ebc15cb9ecd0e14fcbbd520452c27'
        transaction_index: 80
        cumulative_gas_used: 9824334
        gas_used: 21000
        contract_address: null
        status: true
        effective_gas_price: 36315157924
        version: 0
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
  responses:
    BadRequest:
      description: Bad Request - Invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missingBlockNumber:
              summary: Missing block number
              value:
                detail: block_number is required
            mixedRangeParams:
              summary: Mixed block and datetime parameters
              value:
                detail: >-
                  Cannot mix block and datetime parameters. Use either
                  from_block/to_block or from_datetime/to_datetime, not both
            missingRangeParams:
              summary: No range parameters provided
              value:
                detail: >-
                  Either block range (from_block/to_block) or datetime range
                  (from_datetime/to_datetime) must be provided
            incompleteBlockRange:
              summary: Incomplete block range
              value:
                detail: Both from_block and to_block must be provided together
            blockRangeTooLarge:
              summary: Block range exceeds limit
              value:
                detail: Block range cannot exceed 100 blocks
    Unauthorized:
      description: Unauthorized - Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Invalid API key
    NotFound:
      description: Not Found - Resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Transaction not found
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: An unexpected error occurred
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: API key for authentication

````